# TrackerEndpointDBus

TrackerEndpointDBus is an endpoint implementation that exports a local TrackerSparqlConnection so it is accessible in the given bus connection.

Access to these endpoints may be transparently managed through the Tracker portal service for applications sandboxed via Flatpak, and access to data constrained to the graphs defined in the applications manifest.

A TrackerEndpointDBus may be created on a different thread/main context than the one creating the TrackerSparqlConnection.

## TrackerEndpointDBus

    GObject
        ╰──TrackerEndpoint
            ╰──TrackerEndpointDBus

The <structname>TrackerEndpointDBus</structname> object represents a public connection to a TrackerSparqlConnection on a DBus object path.

## Tracker.EndpointDBus

    GObject.Object
        ╰──Tracker.Endpoint
            ╰──Tracker.EndpointDBus

The <structname>TrackerEndpointDBus</structname> object represents a public connection to a Tracker.SparqlConnection on a DBus object path.

## Tracker.EndpointDBus

    GObject.Object
        ╰──Tracker.Endpoint
            ╰──Tracker.EndpointDBus

The <structname>TrackerEndpointDBus</structname> object represents a public connection to a Tracker.SparqlConnection on a DBus object path.

### Constructors

#### tracker_endpoint_dbus_new

    TrackerEndpointDBus *
    tracker_endpoint_dbus_new (TrackerSparqlConnection * sparql_connection,
                               GDBusConnection* dbus_connection,
                               const gchar* object_path,
                               GCancellable* cancellable,
                               GError** error)

Registers a Tracker endpoint object at object_path on dbus_connection. The default object path is "/org/freedesktop/Tracker3/Endpoint".

Parameters:

`sparql_connection` –

a TrackerSparqlConnection

`dbus_connection` –

a GDBusConnection

`object_path` ( [nullable]) –

the object path to use, or NULL for the default

`cancellable` ( [nullable]) –

a GCancellable, or NULL

`error` –

pointer to a GError

Returns ( [transfer: full]) –

a TrackerEndpointDBus object.

#### Tracker.EndpointDBus.prototype.new

    function Tracker.EndpointDBus.prototype.new(sparql_connection: Tracker.SparqlConnection, dbus_connection: Gio.DBusConnection, object_path: String, cancellable: Gio.Cancellable): {
        // javascript wrapper for 'tracker_endpoint_dbus_new'
    }

Registers a Tracker endpoint object at object_path on dbus_connection. The default object path is "/org/freedesktop/Tracker3/Endpoint".

Parameters:

`sparql_connection` (Tracker.SparqlConnection) –

a Tracker.SparqlConnection

`dbus_connection` (Gio.DBusConnection) –

a GDBusConnection

`object_path` (String) –

the object path to use, or NULL for the default

`cancellable` (Gio.Cancellable) –

a GCancellable, or NULL

Returns (Tracker.EndpointDBus) –

a Tracker.EndpointDBus object.

#### Tracker.EndpointDBus.new

    @raises(GLib.GError)
    def Tracker.EndpointDBus.new (sparql_connection, dbus_connection, object_path, cancellable):
        #python wrapper for 'tracker_endpoint_dbus_new'

Registers a Tracker endpoint object at object_path on dbus_connection. The default object path is "/org/freedesktop/Tracker3/Endpoint".

Parameters:

`sparql_connection` (Tracker.SparqlConnection) –

a Tracker.SparqlConnection

`dbus_connection` (Gio.DBusConnection) –

a GDBusConnection

`object_path` (str) –

the object path to use, or NULL for the default

`cancellable` (Gio.Cancellable) –

a GCancellable, or NULL

Returns (Tracker.EndpointDBus) –

a Tracker.EndpointDBus object.

### Properties

#### dbus-connection

    “dbus-connection” GDBusConnection*

Flags : Read / Write / Construct Only

#### dbus-connection

    “dbus-connection” Gio.DBusConnection

Flags : Read / Write / Construct Only

#### dbus_connection

    “self.props.dbus_connection” Gio.DBusConnection

Flags : Read / Write / Construct Only

#### object-path

    “object-path” gchar*

Flags : Read / Write / Construct Only

#### object-path

    “object-path” String

Flags : Read / Write / Construct Only

#### object_path

    “self.props.object_path” str

Flags : Read / Write / Construct Only

The results of the search are